"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const superagent = require("superagent");
exports.DEFAULT_HOST = 'https://api.ionicjs.com';
function extractDetails(ctx) {
    const host = ctx.env.get('IONIC_API_HOST', exports.DEFAULT_HOST);
    const token = ctx.env.require('IONIC_AUTH_TOKEN');
    return { host, token };
}
exports.extractDetails = extractDetails;
async function getAndroidCredentials(ctx, appId, profileTag) {
    const { host, token } = extractDetails(ctx);
    const url = `${host}/apps/${appId}/profiles/${profileTag}/credentials/android`;
    const req = superagent.get(url).set('Authorization', `Bearer ${token}`);
    return tryRequest(ctx, req, `Error retrieving app signing credentials.`);
}
exports.getAndroidCredentials = getAndroidCredentials;
async function tryRequest(ctx, req, errorMsg) {
    try {
        const res = await req;
        return res.body;
    }
    catch (e) {
        ctx.serverlog.error(e);
        if (errorMsg) {
            ctx.userlog.error(errorMsg);
        }
        throw e;
    }
}
