"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
function get(k, defaultValue) {
    return process.env[k] || defaultValue;
}
exports.env = {
    get,
    has(k) {
        return Boolean(get(k));
    },
    require(k) {
        const v = process.env[k];
        if (!v) {
            throw new errors_1.JobException(`${k} not found in environment`, 'server');
        }
        return v;
    },
};
