"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const util_1 = require("util");
const klaw = require("klaw");
const rimraf = require("rimraf");
exports.fsAccess = util_1.promisify(fs.access);
exports.fsMkdir = util_1.promisify(fs.mkdir);
exports.fsOpen = util_1.promisify(fs.open);
exports.fsStat = util_1.promisify(fs.stat);
exports.fsUnlink = util_1.promisify(fs.unlink);
exports.fsReadFile = util_1.promisify(fs.readFile);
exports.fsWriteFile = util_1.promisify(fs.writeFile);
exports.fsReadDir = util_1.promisify(fs.readdir);
exports.fsRemoveDir = util_1.promisify(rimraf);
async function findFiles(p, name) {
    const files = [];
    return new Promise((resolve, reject) => {
        klaw(p)
            .on('data', item => {
            if (path.basename(item.path) === name) {
                files.push(item.path);
            }
        })
            .on('error', err => {
            reject(err);
        })
            .on('end', () => {
            resolve(files);
        });
    });
}
exports.findFiles = findFiles;
