"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs_1 = require("./fs");
async function writeGitCredentials(ctx) {
    const homeDir = path.join(ctx.codedir, '.home');
    await fs_1.fsMkdir(homeDir);
    const gitCredentials = ctx.env.get('GIT_CREDENTIALS', '');
    if (gitCredentials) {
        await fs_1.fsWriteFile(path.join(homeDir, '.git-credentials'), gitCredentials);
        await fs_1.fsWriteFile(path.join(homeDir, '.gitconfig'), '[credential]\nhelper = store\n');
    }
}
exports.writeGitCredentials = writeGitCredentials;
