"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class JobRegistry {
    constructor() {
        this.registry = new Map();
    }
    register(name, job) {
        this.registry.set(name, job);
    }
    get(name) {
        const job = this.registry.get(name);
        if (!job) {
            throw new Error(`Unhandled job type: '${name}'.`);
        }
        return job;
    }
}
exports.JobRegistry = JobRegistry;
